List User & Invite account accesses
Get list of account accesses for which specifier_type is User or Invite. You have to have account admin/owner permissions for this endpoint to work.
If you specify project_ids, sandbox_ids or domain_ids, the endpoint will return account accesses for these resources.
Pass the API token in the Api-Token
The identifiers of the projects for which to include the results
["3938"]The identifiers of the sandboxes for which to include the results
["3757"]The identifiers of the domains for which to include the results
["3883"]OK
Assigns resource-specific permissions to a specifier.
The unique identifier of the account access
42The type of the specifier that has permissions to the resources
UserPossible values: Entity that has permissions to the resources
Returns unauthorized error message. Check your credentials.
Returns forbidden error message. Check your permissions.
curl -X GET https://mailtrap.io/api/account_accesses \
-H 'Authorization: Bearer YOUR_API_KEY'
[
{
"id": 42,
"specifier_type": "User",
"specifier": {
"id": 1,
"email": "name@gmail.com",
"name": "text",
"two_factor_authentication_enabled": true
},
"resources": [
{
"resource_id": 1,
"resource_type": "account",
"access_level": 1000
}
],
"permissions": {
"can_read": true,
"can_update": true,
"can_destroy": true,
"can_leave": true
}
}
]Last updated
Was this helpful?

